This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 181914 - ssid configuration not kept after a restart
ssid configuration not kept after a restart
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-17 13:53 EST by Olu Akins
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-09 14:39:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
spec file used in the rebuild (5.42 KB, text/plain)
2006-02-17 13:53 EST, Olu Akins
no flags Details

  None (edit)
Description Olu Akins 2006-02-17 13:53:25 EST
Description of problem:
Use the wpa_gui to detected available ssid, configure the encryption, save and
connect. Restart my system and launch wpa_gui. I discover I have no configured
ssid. Which means I have to start the whole process again

Version-Release number of selected component (if applicable):
wpa_supplicant-0.5.1-4
wpa_supplicant-gui-0.5.1-4


How reproducible: Always


Steps to Reproduce:
1. Launch wpa_gui, scan, type in encryption and save
2. Execute ifup wlan0, connected, then restart desktop
3. Launch wpa_gui, no already configured ssid from step 1
  
Actual results: Already configured ssid is not saved


Expected results: wpa_supplicant.conf should retain already configured ssid


Additional info: Rebuild the src.rpm file with the original wpa_supplicant.conf
and modified the spec file with buildrequire section. Tested and it is working
perfectly
Comment 1 Olu Akins 2006-02-17 13:53:26 EST
Created attachment 124828 [details]
spec file used in the rebuild
Comment 2 Uwe Beck 2006-02-23 08:07:29 EST
I think you should set in wpa_supplicant.conf:

update_config=1

Hope this work.
Comment 3 Dan Williams 2006-03-09 14:39:46 EST
Sounds good, thanks for the tip.  Fedora ships what upstream does, and upstream
doesn't include update_config=1 in their wpa_supplicant.conf.  Most people
should be using NetworkManager or somesuch tool for GUI network config anyway.

Note You need to log in before you can comment on or make changes to this bug.